Bug 140876 - anaconda crashes with signal 6 trying to load glibc (boot.iso)
anaconda crashes with signal 6 trying to load glibc (boot.iso)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 20:37 EST by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:56:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-11-25 20:37:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Booting from rawhide boot.iso of 2004-11-25, anaconda crashes with
signal 6 after loading /sbin/loader with error messages about glibc.

*** glibc detected *** invalid next size (fast): 0x08d16768 ***

This is an AMD K6-2 @ 380MHz w/320MB RAM on an Asus P5A-B mobo
all the peripherals as utterly standard and work in FC3.

Version-Release number of selected component (if applicable):
anaconda-10.2.0.4-1

How reproducible:
Always

Steps to Reproduce:
1. burn boot.iso to CD-RW with cdrecord (several tries)
2. boot from CD
3. hit return at boot prompt
    

Actual Results:  The usual booting messages until:

running install...
running /sbin/loader
*** glibc detected *** invalid next size (fast): 0x08d16768 ***
install exited abnormally -- received signal 6
[sending signals and emergency shutdown]


Expected Results:  normal anaconda boot sequence

Additional info:

see Description and Actual Results
Comment 1 taj 2004-11-29 03:25:22 EST

Confirmed on AMD XP1700+ 1.5 Ghz 512M ram

The memory location varies but otherwise the same issue.

Mon Nov 29 01:27:08 $ ls -l boot.iso && md5sum boot.iso
-rw-r--r--    1 taj      taj       5801984 Nov 27 07:01 boot.iso
59f97aa63bb7e1ce9748944554d8051a  boot.iso
Comment 2 Jeremy Katz 2004-11-30 18:48:34 EST
Fixed in CVS
Comment 3 G.Wolfe Woodbury 2005-01-10 17:52:44 EST
rawhide of 2005.01.09 works okay
Comment 4 Rahul Sundaram 2005-08-15 12:56:00 EDT
G.Wolfe Woodbury,

Thank you for the confirmation

Note You need to log in before you can comment on or make changes to this bug.